Выпущен комплект разработчика 1.8

 

 

Выпущена новая версия MALT_SDK - комплекта ПО для разработчиков прикладных программ для микропроцессоров семейств MALT. MALT_SDK 1.8 содержит доработки и улучшения, позволяющие расширить возможности ПО, устраняющие мелкие ошибки.

 

В новой версии MALT_SDK:

  • Исправлена некорректная работа с Crash Dump Analyzer в многопоточном режиме.
  • Доработаны системные библиотеки Sys_lib., в частности, исправлена ошибка считывания таймера.
  • Исправлена ошибка загрузки файлов с большими массивами в maltemu.
  • Реализован многопоточный вариант теста Coremark.
  • Обновлен ряд компонент toolchain.

       

      Требования к ПК для установки MALT_SDK v1.8:

      • ОС Linux или другие Unix-like системы (Debian 9, Debian 9 32-бит, Ubuntu 16.04/18.04, Centos 6/7 и FreeBSD 11/12).
      • Объем оперативной памяти: не менее 2 GB ( в сумме объемом swap-пространства - не менее 4 GB виртуальной памяти).
      • Объем свободного дискового пространства: не менее 15 GB.
      • Архитектура x86_64.

           

          MALT_SDK, полная документация на MALT_SDK, а также прототипы процессоров MALT на ПЛИС предоставляется разработчикам с которыми заключены контракты на выполнение совместных работ.